<?php

use App\Http\Controllers\AnyContact;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

//Route::view('/','Pages.Home');
Route::get('/',function (){
   return view('Pages.Home');
});
Route::view('/about-us','Pages.AboutUs');
Route::view('/contact-us','Pages.ContactUs');
Route::view('/our-services','Pages.Services');
Route::get('/meeting-book', [AnyContact::class,'scheduleBookPage'])->name('meetingBookGet');
Route::post('/meeting-book',[AnyContact::class,'scheduleBook'])->name('meetingBook');



Route::get('/dashboard', function () {
    return view('admin.dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';
